# eric3.KdeQt.KQApplication

Compatibility module to use KApplication instead of QApplication.

### Classes

KQApplication | Compatibility class to use KApplication instead of Qt's QApplication.
KQApplication | Compatibility class to use QApplication.

### Functions

_localeString | Protected function to get the string for the configured locale.

## KQApplication

Compatibility class to use KApplication instead of Qt's QApplication.

### Derived from

KApplication

### Methods

KQApplication | Constructor

### KQApplication (Constructor)

KQApplication(argv, opts)

Constructor

argv
  command line arguments
opts
  acceptable command line options

Up

## KQApplication

Compatibility class to use QApplication.

### Derived from

QApplication

### Methods

KQApplication | Constructor

### KQApplication (Constructor)

KQApplication(argv, opts)

Constructor

argv
  command line arguments
opts
  acceptable command line options (ignored)

Up

## _localeString

_localeString()

Protected function to get the string for the configured locale.

Returns:
  locale name (string)

Up